package com.vendor.loader.struct;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.loader.struct.UsbManuInfo;
import com.vendor.loader.views.LoaderView;

public class UsbHeader {
  private int u32MagicNum;
  
  private int u32HeaderCrc;
  
  private int u32HeaderLen;
  
  private long u64FileLen;
  
  private int u16ManuNum;
  
  public final UsbManuInfo[] astManuInfo = new UsbManuInfo[3];
  
  public int getU32MagicNum() {
    return this.u32MagicNum;
  }
  
  public void setU32MagicNum(int u32MagicNum) {
    this.u32MagicNum = u32MagicNum;
  }
  
  public int getU32HeaderCrc() {
    return this.u32HeaderCrc;
  }
  
  public void setU32HeaderCrc(int u32HeaderCrc) {
    this.u32HeaderCrc = u32HeaderCrc;
  }
  
  public int getU16ManuNum() {
    return this.u16ManuNum;
  }
  
  public void setU16ManuNum(int u16ManuNum) {
    this.u16ManuNum = u16ManuNum;
  }
  
  public int getU32HeaderLen() {
    return this.u32HeaderLen;
  }
  
  public void setU32HeaderLen(int u32HeaderLen) {
    this.u32HeaderLen = u32HeaderLen;
  }
  
  public long getU64FileLen() {
    return this.u64FileLen;
  }
  
  public void setU64FileLen(long u64FileLen) {
    long tempFileLen = u64FileLen;
    if (!LoaderView.isChipBranchSeries0() && 
      tempFileLen % 16L != 0L)
      tempFileLen += 16L - tempFileLen % 16L; 
    this.u64FileLen = tempFileLen;
  }
}
